REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single ProposalSchedule record by its Id.
{ "ProposalId": 123, "ProposalQuantity": "<string>", "ProposalTariffName": "<string>", "ProposalCoworkerId": "<string>", "ProposalCoworkerFullName": "<string>", "ProposalCoworkerBillingName": "<string>", "Notes": "<string>", "Price": 123, "ApplyOn": "<string>", "Applied": true, "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
ProposalSchedule-Read
curl -X GET \ "https://spaces.nexudus.com/api/billing/proposalschedules/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "ProposalId": 0, "ProposalQuantity": null, "ProposalTariffName": null, "ProposalCoworkerId": null, "ProposalCoworkerFullName": null, "ProposalCoworkerBillingName": null, "Notes": null, "Price": null, "ApplyOn": "2025-01-15T10:30:00Z", "Applied": false, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "ProposalSchedule Example", "LocalizationDetails": null, "CustomFields": null }